<template>
  <div class="main">

  <div class="header">
    <div class="header__icon"> 
    </div>

    <div v-if="true" class="header__content">
          rch.dev/launch
    </div>
  </div>

  <div class="with-sidebar">
      <div> <!-- non-sidebar -->
        <div class="box">
          <div class="box__drawing">
          
          </div>
        </div>
      </div>
      <div class="test-list"><!-- sidebar -->
      <pre>
 >  __          __  _                     
 >  \ \        / / | |                         
 >   \ \  /\  / /__| | ___ ___  _ __ ___   ___ 
 >    \ \/  \/ / _ \ |/ __/ _ \| '_ ` _ \ / _ \
 >     \  /\  /  __/ | (_| (_) | | | | | |  __/
 >      \/  \/ \___|_|\___\___/|_| |_| |_|\___|
 >
 >  Site under construction...
      </pre>
      </div>
  </div>

  </div>
</template>

<script lang="ts">
import Vue from 'vue';
export default Vue.extend({
  data() {
    return {
      items: ['0'],
    };
  },
  mounted() {
    for (let i = 1; i < 20; i++) {
      this.items.push(i.toString());
    }
  },
});
</script>


<style>
* {
  margin: 0;
  padding: 0;

  font-family: Consolas, monospace;

  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none;  /* IE 10+ */
}

::-webkit-scrollbar { 
  display: none; 
}

.main {
  overflow-y: hidden;
  height: 100vh;
}

.header {
  position: absolute;
  top: 16px;
  left: 16px;

  width: calc(100vw - 32px);
  height: 35px;
  border-bottom: 3px solid black;

  display: flex;
  flex-direction: row;
}

@media screen and (orientation: landscape) {
  .header {
    width: calc(100vh - 32px)
  }
}

.header__icon {
  width: 32px;
  height: 32px;

  margin-right: 10px;

  background-color: black;
}

.header__content {
  font-size: 14px;
  line-height: 32px;
  vertical-align: middle;
}

.box {
  width: calc(100vw - 20px);
  height: calc(100vw - 20px);

  margin: 10px;

  outline: 3px solid black;
  outline-offset: -3px;
}

@media screen and (orientation: landscape) {
  .box {
    width: calc(100vh - 20px);
    height: calc(100vh - 20px);
  }
}

.test-list {
  background:black;
  font-size: 12px;
  color: white;

  flex-grow: 1;
  padding-top: 10px;
  padding-left: 16px;
  padding-right: 16px;

  display: flex;
  flex-direction: column;

  overflow-y: scroll;

  height: calc(100vh - 100vw);

  line-height: 12px;
}

@media screen and (orientation: landscape) {
  .test-list {
    padding-top: 10px;
    padding-bottom: 16px;
    padding-left: 6px;
    padding-right: 0px;

    height: calc(100vh - 26px);
  }
}

.test-list__category {
  width: 100%;
  height: 32px;
  line-height: 32px;
  font-size: 12px;
  vertical-align: middle;
  text-align: center;

  margin-bottom: 6px;

  background-color: black;
  color: white;
}

.test-list__items {
  margin-bottom: 16px;

  display: grid;
  grid-template-columns: repeat(6, 1fr)
}

.test-list__btn {
  width: 100%;
  padding-bottom: 100%;
  
  outline: 3px solid black;
  outline-offset: -6px;
}

.with-sidebar {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: stretch;
}
</style>
